Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.process
Class DelegatingComponent

    java.lang.Object
      org.modeshape.jcr.query.process.ProcessingComponent
          org.modeshape.jcr.query.process.DelegatingComponent

Direct Known Subclasses:
  DistinctComponent, DistinctOfSortedComponent, LimitComponent, ProjectComponent, SelectComponent, SortLocationsComponent, SortValuesComponent

    public abstract class DelegatingComponent

extends ProcessingComponent

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.jcr.query.process.ProcessingComponent
`ProcessingComponent.DynamicOperation`

Constructor Summary
`protected` | `DelegatingComponent(ProcessingComponent delegate)`
`protected` | `DelegatingComponent(ProcessingComponent delegate, QueryResults.Columns overridingColumns)`

Method Summary
`void` | `close()` Close these results, allowing any resources to be released.
`protected ProcessingComponent` | `delegate()` Get the delegate processor.

Methods inherited from class org.modeshape.jcr.query.process.ProcessingComponent
`createDynamicOperation, createSortComparator, emptyTuples, execute, getColumns, getContext, problems`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingComponent

    protected DelegatingComponent(ProcessingComponent delegate)

### DelegatingComponent

    protected DelegatingComponent(ProcessingComponent delegate,
                                  QueryResults.Columns overridingColumns)

Method Detail

### delegate

    protected final ProcessingComponent delegate()

  Get the delegate processor.

  Returns:
    the delegate processor

### close

    public void close()

  Description copied from class: `ProcessingComponent`
  Close these results, allowing any resources to be released.

  Overrides:
    `close` in class `ProcessingComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.